package com.ruoyi.project.ehs.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 危害物质关联危险类型对象 t_matter_feature
 *
 * @author ruoyi
 * @date 2021-09-22
 */
public class TMatterFeature extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 物料特性名称 */
    @Excel(name = "物料特性名称")
    private String featureName;

    /** 物料特性编码 */
    @Excel(name = "物料特性编码")
    private String featureCode;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFeatureName(String featureName)
    {
        this.featureName = featureName;
    }

    public String getFeatureName()
    {
        return featureName;
    }
    public void setFeatureCode(String featureCode)
    {
        this.featureCode = featureCode;
    }

    public String getFeatureCode()
    {
        return featureCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("featureName", getFeatureName())
            .append("featureCode", getFeatureCode())
            .toString();
    }
}
